Subject: bug#74091: 31.0.50; string-pixel-width in mode line disables region

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Oct 2024 16:35:37 +0200

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 31 Oct 2024 13:24:34 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > The variable deactivate-mark only becomes buffer-local if set;
> >> > otherwise the global value will be changed.
> >> 
> >> Could you perhaps elaborate?  I see that running a command that modifies
> >> a different buffer does not deactivate the region in the current buffer,
> >> which is basically what I would expect.
> >
> > You are asking me to elaborate about what? about the local value of
> > deactivate-mark or about why you see what you see (in a scenario you
> > haven't described)?
> 
> What I'm asking is: under what circumstances is it expected that
> after changing deactivate-mark in another buffer the mark is deactivated
> in the current buffer?

AFAIU, whenever deactivate-mark is not local to the buffer which is
being changed.

> > Look, you are welcome to keep debugging this if you are interested.  I
> > invested enough of my time into figuring out why the region was
> > deactivated by C-n, and the solution I installed satisfies me.  But
> > you are welcome to keep digging, and let me tell you what I found to
> > save you some non-trivial tinkering:
> 
> Thank you, I'll keep digging and let you know if I figure it out.

TIA.